use serde::{Deserialize, Serialize};

#[derive (Clone, Default, Deserialize, Serialize)]
pub struct NetworkedState {
	pub positions: Vec <(f32, f32)>,
}

#[derive (Clone, Default, Deserialize, Serialize)]
pub struct NetworkCommand {
	pub left: bool,
	pub right: bool,
	pub up: bool,
	pub down: bool,
}
